incubator-empire-db-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Venditti" <vendi...@esteam.de>
Subject Unable to run "empire-db-example-struts2" in Eclipse
Date Thu, 26 Feb 2009 13:46:01 GMT
Hi Francis,

i have followed your work in the mailing-archive for "mavenizing"
empire-db.
Currently I am trying to get the web-example running with tomcat in
eclipse so that I can debug the struts2 web example.

Fortunately I've been successful with that, but I had to do some
handwork. Maybe you can help me with that, as I'm a maven newbe :).

Here is what I've tried so far:

1. Checked out the trunk from SVN with the "Check out as Maven Project
..." option.

2. Executed "mvn eclipse:m2eclipse -Dwtpversion=1.5" in the directory
"empire-db-example-struts2" to make it a WebApp.

3. Activated the Maven-Dependencies under Project "Properties-->Java EE
Module Dependencies"

4. Added Tomcat Server Modules under Project "Properties-->Java Build
Path".

If I now start the project with the "Run As--> Run on Server ..."
option, the server doesn't find the dependencies for "empire-db" and
"empire-db-struts2".

In fact I got it working by building and copying the missing libraries
"empire-db-2.0.5-SNAPSHOT.jar" and "
empire-db-struts2-2.0.5-SNAPSHOT.jar" by hand into the lib folder of the
deployed WebApp.

My Questions are now:
- Do I have to exec "mvn eclipse:m2eclipse -Dwtpversion=1.5", or is
there a easier way to tell eclipse that it is a WebApp?

- Why do I have to copy the dependencies for "empire-db" and
"empire-db-struts2" by hand? I cannot see why they aren't deployed as
they are listed in the pom.xml.

It would be really nice if you could help me out with this.
Thanks in advance.

Benjamin Venditti

Mime
View raw message